QGIS Application - Bug report #6847
db manager error when deleting a PG column
2012-12-09 02:33 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15983
Description

Traceback (most recent call last):
File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\dig_table_properties.py",
line 180, in deleteColumn
self.populateViews()
File "C:\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\dig_table_properties.py",
line 86, in populateViews
self.populatelndexes()
File "C:\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\dig_table_properties.py",
line 261, in populatelndexes
m.append( idx )
File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\db_plugins\\data_model.py",
line 281, in append
field_names = map( lambda (k,v): unicode(v.name), idx.fields().iteritems() )
File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\db_plugins\\data_model.py",
line 281, in
field_names = map( lambda (k,v): unicode(v.name), idx.fields().iteritems() )
AttributeError: 'NoneType' object has no attribute 'name’

Associated revisions

Revision 0e1b71c8 - 2012-12-10 01:32 AM - Giuseppe Sucameli

fix #6847

History

#1 - 2012-12-09 04:32 PM - Giuseppe Sucameli
- Status changed from Open to Closed

Fixed in changeset commit:"0e1b71¢82c8dd8f75¢990a3cd4130b82e899b539".
